# Update customer info for cart Use this endpoint to provide information about the customer and extra customer data (if any). The request body must match the schema returned by the GET /carts/{cartUuid}/customer/schema endpoint. Endpoint: PUT /carts/{cartUuid}/customer Version: 3.5.0 ## Path parameters: - `cartUuid` (string, required) The UUID of the cart. ## Header parameters: - `X-Musement-Application` (string) A partner's application value, used for analyzing API usage and to identify areas of improvement. - `X-Musement-Market` (string) Musement markets contain a modified catalog of activities and prices. Partners are expected to use their assigned market code to view their customized catalog. An invalid X-Musement-Market value will return a 400 status code response. - `X-Musement-Version` (string) The API version to use for the request. When absent, the latest version is used by default, however the latest version may not be stable. Partners are encouraged to use the latest stable version: 3.4.0. Example: "3.4.0" ## Response 200 fields (application/json): - `country` (object) The customer's country. - `country.country_prefix` (string) The country's main telephone country code. Example: "+39" - `country.currency_code` (string) The main currency for the country as a Musement currency code. For a complete list of currencies, refer to the /currencies endpoint. Example: "EUR" - `country.iso_code` (string, required) The two-character ISO code for the country. Example: "IT" - `country.iso3char` (string, required) The three-character ISO code for the country. Example: "ITA" - `country.name` (string, required) The country's name, translated based on the Accept-Language header value. Example: "Italy" - `country.id` (integer, required) The country's numeric ID. This property will be removed in the future. Example: 82 - `email` (string, required) The customer's email address. Example: "api-distribution@tui.com" - `extra_customer_data` (object, required) Extra customer data, based on the customer's cart items. Example: {"1223356a-69a0-4c45-bf51-bd903820d210":{"phone_number":1234567890}} - `firstname` (string, required) The customer's first name. Example: "John" - `lastname` (string, required) The customer's last name. Example: "Smith" - `thirdparty_newsletter` (string, required) Whether the customer wants to receive newsletters from third parties or not. Enum: "NO", "YES" - `musement_newsletter` (string, required) Whether the customer wants to receive newsletters from Musement or not. Enum: "NO", "YES" - `events_related_newsletter` (string, required) Whether the customer wants to receive newsletters for related activities or not. Enum: "NO", "YES" - `id` (integer) - `avatar` (string) - `currency` (object) - `currency.code` (string) The currency's unique identifying code. Example: "USD" - `currency.name` (string) The currency's name, translated based on the Accept-Language header value. Example: "US Dollar" - `currency.symbol` (string) The currency's symbol. Example: "$" - `birthdate` (string) Example: "1970-04-13" - `gender` (object) - `gender.code` (string) Customer's gender code. Possible values are: * MALE: Male * FEMALE: Female * OTHER: Other Enum: "MALE", "FEMALE", "OTHER" - `gender.name` (string) Customer's gender label. | This value depends on the value of the header Accept-Language - `id_number` (string) - `mobile` (string) - `address` (string) - `favourite_city` (object) - `favourite_city.activities_count` (integer) The number of available activities for the city. - `favourite_city.id` (integer) The city's numeric ID. - `favourite_city.code` (string) A string identifier for the city, based on the English version of the city name. This property is not affected by the Accept-Language header. - `favourite_city.content` (string) A plain text description of the city, translated according to the Accept-Language header value. - `favourite_city.content_html` (string) A description of the city with HTML tags, translated according to the Accept-Language header value. - `favourite_city.country` (object) - `favourite_city.cover_image_url` (string) A URL for the city's cover image. - `favourite_city.event_count` (integer) The number of available activities for the city. - `favourite_city.headline` (string) An SEO-friendly version of the city name for a page headline, translated based on the Accept-Language header value. - `favourite_city.latitude` (number) - `favourite_city.longitude` (number) - `favourite_city.list_count` (integer) The number of available Musement list pages for the city. - `favourite_city.meta_description` (string) An SEO-friendly description of the city, translated based on the Accept-Language header value. - `favourite_city.meta_title` (string) An SEO-friendly version of the city name, translated based on the Accept-Language header value. - `favourite_city.name` (string) The name of city, translated according to the Accept-Language header value. - `favourite_city.slug` (string) The city slug, used for creating the city URL. Changes based on the value of the Accept-Language value. - `favourite_city.time_zone` (string) The city's time zone. - `favourite_city.top` (boolean) When true, the city is considered one of Musement's most popular cities. - `favourite_city.url` (string) An automatically generated Musement URL for the city based on the X-Musement-Market header and slug property. The URL is only valid for select X-Musement-Market values and cities. - `favourite_city.uuid` (string) The city's UUID. - `favourite_city.venue_count` (integer) The number of available venues in the city. - `favourite_city.weight` (integer) A property used for ranking multiple cities by popularity. Top selling cities will have a higher value. - `favourite_city.more` (string) Additional information about the city in plain text, ideal for a "Read more" section, translated based on the Accept-Language header value. - `favourite_city.more_html` (string) Additional information about the city with HTML tags, ideal for a "Read more" section, translated based on the Accept-Language header value. - `locale` (string) ## Response 404 fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "1400" - `message` (string, required) A message with a brief explanation of the error. Example: "Resource does not exist" ## Response 423 fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "-1" - `message` (string, required) A message with a brief explanation of the error. Example: "Cart is already connected to order with state 'closed'" ## Response default fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "0" - `message` (string, required) A message with a brief explanation of the error. Example: "There was an error"